LITECOIN-CLI(1)

NAME
litecoin-cli - manual page for litecoin-cli v0.16.3.0

DESCRIPTION
Litecoin Core RPC client version v0.16.3.0

  Usage:

litecoin-cli [options] <command> [params]
    Send command to Litecoin Core

    litecoin-cli [options] -named <command> [name=value] ... Send command to Litecoin Core (with named arguments) litecoin-cli [options] help List commands litecoin-cli [options] help <command> Get help for a command

OPTIONS

-?

    This help message

-conf=<file>

    Specify configuration file (default: litecoin.conf)

-datadir=<dir>

    Specify data directory

-getinfo

    Get general information from the remote server. Note that unlike server-side RPC calls, the results of -getinfo is the result of multiple non-atomic requests. Some entries in the result may represent results from different states (e.g. wallet balance may be as of a different block from the chain state reported)

Chain selection options:

-testnet

    Use the test chain

-regtest

    Enter regression test mode, which uses a special chain in which blocks can be solved instantly. This is intended for regression testing tools and app development.

-named

    Pass named instead of positional arguments (default: false)

-rpcconnect=<ip>

    Send commands to node running on <ip> (default: 127.0.0.1)

-rpcport=<port>

    Connect to JSON-RPC on <port> (default: 9332 or testnet: 19332)

-rpcwait

    Wait for RPC server to start

-rpcuser=<user>

    Username for JSON-RPC connections

-rpcpassword=<pw>

    Password for JSON-RPC connections

-rpcclienttimeout=<n>

    Timeout in seconds during HTTP requests, or 0 for no timeout. (default: 900)

-stdinrpcpass

Read RPC password from standard input as a single line.
    When combined

    with -stdin, the first line from standard input is used for the RPC password.

-stdin

    Read extra arguments from standard input, one per line until EOF/Ctrl-D (recommended for sensitive information such as passphrases). When combined with -stdinrpcpass, the first line from standard input is used for the RPC password.

-rpcwallet=<walletname>

    Send RPC for non-default wallet on RPC server (argument is wallet filename in litecoind directory, required if litecoind/-Qt runs with multiple wallets)

COPYRIGHT
Copyright (C) 2011-2018 The Litecoin Core developers Copyright (C) 2009-2018 The Bitcoin Core developers Please contribute if you find Litecoin Core useful. Visit <https://litecoin.org> for further information about the software. The source code is available from <https://github.com/litecoin-project/litecoin>. This is experimental software. Distributed under the MIT software license, see the accompanying file COPYING or <https://opensource.org/licenses/MIT> This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit <https://www.openssl.org> and cryptographic software written by Eric Young and UPnP software written by Thomas Bernard.